Functions
IRQ Handler and Callbacks
Peripheral Driver » HAL Driver » USB » Functions

IRQ Handler and Callbacks functions. More...

Collaboration diagram for IRQ Handler and Callbacks:

## Functions
void | hal_usb_irq_handler (usb_handle_t *p_usb)
| Handle USB interrupt request. More...
void | hal_usb_attach_irq_handler (usb_handle_t *p_usb)
| Handle USB attach interrupt request. More...
void | hal_usb_detach_irq_handler (usb_handle_t *p_usb)
| Handle USB detach interrupt request. More...
void | hal_usb_attach_callback (usb_handle_t *p_usb)
| USB attach callback. More...
void | hal_usb_detach_callback (usb_handle_t *p_usb)
| USB detach callback. More...
void | hal_usb_suspend_callback (usb_handle_t *p_usb)
| usb suspend callback. More...
void | hal_usb_ep0_out_ready_callback (usb_handle_t *p_usb)
| usb EP0 output ready callback. More...
void | hal_usb_ep1_out_ready_callback (usb_handle_t *p_usb)
| usb EP1 output ready callback. More...
void | hal_usb_crc16_err_callback (usb_handle_t *p_usb)
| usb receive CRC error data callback. More...
void | hal_usb_upid_err_callback (usb_handle_t *p_usb)
| usb receive unsupported PID callback. More...
void | hal_usb_time_out_callback (usb_handle_t *p_usb)
| usb rx/tx timeout error callback. More...
void | hal_usb_seq_err_callback (usb_handle_t *p_usb)
| usb DATA0/DATA1 PID sequence error callback. More...
void | hal_usb_pid_cks_err_callback (usb_handle_t *p_usb)
| usb PID checksum error callback. More...
void | hal_usb_pid_crc_err_callback (usb_handle_t *p_usb)
| usb PID CRC error callback. More...
void | hal_usb_host_reset_callback (usb_handle_t *p_usb)
| usb host reset callback. More...
void | hal_usb_ahb_xfer_err_callback (usb_handle_t *p_usb)
| usb EP3 and EP4 AHB master receive ERROR response callback. More...
void | hal_usb_nse_err_callback (usb_handle_t *p_usb)
| usb no such endpoint error callback. More...
void | hal_usb_ep3_ahb_xfer_done_callback (usb_handle_t *p_usb)
| usb ep3 AHB master transfer done callback. More...
void | hal_usb_sync_err_callback (usb_handle_t *p_usb)
| usb SYNC error callback. More...
void | hal_usb_bit_stuff_err_callback (usb_handle_t *p_usb)
| usb bit stuff error callback. More...
void | hal_usb_byte_err_callback (usb_handle_t *p_usb)
| usb byte error callback. More...
void | hal_usb_sof_callback (usb_handle_t *p_usb)
| usb SOF interrupt callback. More...
void | hal_usb_ep0_tx_done_callback (usb_handle_t *p_usb)
| usb EP0 IN FIFO data has sent to host callback. More...
void | hal_usb_ep2_tx_done_callback (usb_handle_t *p_usb)
| usb EP2 IN FIFO data has sent to host callback. More...
void | hal_usb_ep3_tx_done_callback (usb_handle_t *p_usb)
| usb EP3 IN FIFO data has sent to host callback. More...
void | hal_usb_into_config_callback (usb_handle_t *p_usb)
| usb hardware enumeration into config status callback. More...
void | hal_usb_ep5_out_ready_callback (usb_handle_t *p_usb)
| usb EP5 output ready callback. More...
void | hal_usb_ep4_ahb_xfer_done_callback (usb_handle_t *p_usb)
| usb ep4 AHB master transfer done callback. More...
void | hal_usb_ep4_tx_done_callback (usb_handle_t *p_usb)
| usb EP4 IN FIFO data has sent to host callback. More...
void | hal_usb_ep5_ahb_xfer_done_callback (usb_handle_t *p_usb)
| usb ep5 AHB master transfer done callback. More...
void | hal_usb_ep5_timer_out_err_callback (usb_handle_t *p_usb)
| usb ep5 timer out error callback. More...

## Detailed Description

IRQ Handler and Callbacks functions.

## Function Documentation

## ◆ hal_usb_ahb_xfer_err_callback()

void hal_usb_ahb_xfer_err_callback | ( | usb_handle_t * | p_usb | ) |

usb EP3 and EP4 AHB master receive ERROR response callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_attach_callback()

void hal_usb_attach_callback | ( | usb_handle_t * | p_usb | ) |

USB attach callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_attach_irq_handler()

void hal_usb_attach_irq_handler | ( | usb_handle_t * | p_usb | ) |

Handle USB attach interrupt request.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_bit_stuff_err_callback()

void hal_usb_bit_stuff_err_callback | ( | usb_handle_t * | p_usb | ) |

usb bit stuff error callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_byte_err_callback()

void hal_usb_byte_err_callback | ( | usb_handle_t * | p_usb | ) |

usb byte error callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_crc16_err_callback()

void hal_usb_crc16_err_callback | ( | usb_handle_t * | p_usb | ) |

usb receive CRC error data callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_detach_callback()

void hal_usb_detach_callback | ( | usb_handle_t * | p_usb | ) |

USB detach callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_detach_irq_handler()

void hal_usb_detach_irq_handler | ( | usb_handle_t * | p_usb | ) |

Handle USB detach interrupt request.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_ep0_out_ready_callback()

void hal_usb_ep0_out_ready_callback | ( | usb_handle_t * | p_usb | ) |

usb EP0 output ready callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_ep0_tx_done_callback()

void hal_usb_ep0_tx_done_callback | ( | usb_handle_t * | p_usb | ) |

usb EP0 IN FIFO data has sent to host callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_ep1_out_ready_callback()

void hal_usb_ep1_out_ready_callback | ( | usb_handle_t * | p_usb | ) |

usb EP1 output ready callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_ep2_tx_done_callback()

void hal_usb_ep2_tx_done_callback | ( | usb_handle_t * | p_usb | ) |

usb EP2 IN FIFO data has sent to host callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_ep3_ahb_xfer_done_callback()

void hal_usb_ep3_ahb_xfer_done_callback | ( | usb_handle_t * | p_usb | ) |

usb ep3 AHB master transfer done callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_ep3_tx_done_callback()

void hal_usb_ep3_tx_done_callback | ( | usb_handle_t * | p_usb | ) |

usb EP3 IN FIFO data has sent to host callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_ep4_ahb_xfer_done_callback()

void hal_usb_ep4_ahb_xfer_done_callback | ( | usb_handle_t * | p_usb | ) |

usb ep4 AHB master transfer done callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_ep4_tx_done_callback()

void hal_usb_ep4_tx_done_callback | ( | usb_handle_t * | p_usb | ) |

usb EP4 IN FIFO data has sent to host callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_ep5_ahb_xfer_done_callback()

void hal_usb_ep5_ahb_xfer_done_callback | ( | usb_handle_t * | p_usb | ) |

usb ep5 AHB master transfer done callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_ep5_out_ready_callback()

void hal_usb_ep5_out_ready_callback | ( | usb_handle_t * | p_usb | ) |

usb EP5 output ready callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_ep5_timer_out_err_callback()

void hal_usb_ep5_timer_out_err_callback | ( | usb_handle_t * | p_usb | ) |

usb ep5 timer out error callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_host_reset_callback()

void hal_usb_host_reset_callback | ( | usb_handle_t * | p_usb | ) |

usb host reset callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_into_config_callback()

void hal_usb_into_config_callback | ( | usb_handle_t * | p_usb | ) |

usb hardware enumeration into config status callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_irq_handler()

void hal_usb_irq_handler | ( | usb_handle_t * | p_usb | ) |

Handle USB interrupt request.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_nse_err_callback()

void hal_usb_nse_err_callback | ( | usb_handle_t * | p_usb | ) |

usb no such endpoint error callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_pid_cks_err_callback()

void hal_usb_pid_cks_err_callback | ( | usb_handle_t * | p_usb | ) |

usb PID checksum error callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_pid_crc_err_callback()

void hal_usb_pid_crc_err_callback | ( | usb_handle_t * | p_usb | ) |

usb PID CRC error callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_seq_err_callback()

void hal_usb_seq_err_callback | ( | usb_handle_t * | p_usb | ) |

usb DATA0/DATA1 PID sequence error callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_sof_callback()

void hal_usb_sof_callback | ( | usb_handle_t * | p_usb | ) |

usb SOF interrupt callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_suspend_callback()

void hal_usb_suspend_callback | ( | usb_handle_t * | p_usb | ) |

usb suspend callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_sync_err_callback()

void hal_usb_sync_err_callback | ( | usb_handle_t * | p_usb | ) |

usb SYNC error callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_time_out_callback()

void hal_usb_time_out_callback | ( | usb_handle_t * | p_usb | ) |

usb rx/tx timeout error callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.

## ◆ hal_usb_upid_err_callback()

void hal_usb_upid_err_callback | ( | usb_handle_t * | p_usb | ) |

usb receive unsupported PID callback.

Parameters

  [in] | p_usb | Pointer to an USB handle which contains the configuration information for the specified USB module.